Doomsday Engine - Bug #110
Feature # 1648 (Progressed): Complete vanilla DOOM emulation
Feature # 1603 (Progressed): Support for id Tech 1 map hacks

[Render hack] TNT map09: Transparent window is not transparent

2003-07-17 08:52 - skyjake

Status: Closed

Priority: High

Assignee: skyjake
Category: Vanilla emulation

Target version: 2.3

Start date:

% Done:

2003-07-17
100%

Description
Quote Stephen Howe:

1. Visit TNT level 09, Stronghold

2. Go to coords X =-1040, Y = 240

3. You should be in front of a window that shows some
Sergents behind. Now in the original Final Doom, this
window is transparent. In JDoom it is not.

Labels: Doom, Render hack

Related issues:
Related to Bug #2399: [Render hack] TNT map21: Transparent doors

New

2020-01-12

Associated revisions

Revision 0ddc5c7e - 2019-12-13 11:46 - skyjake
Map Importer: Detect flat bleeding

IssuelD #110

History

#1 - 2003-08-15 17:33 - skyjake
Logged In: YES
user_id=717323

The problem is a trick that works in the original Doom.
The window is a zero-height sector with no textures
assigned to the surrounding lines.

#2 - 2006-03-07 23:32 - danij
Logged In: YES
user_id=849456

Note to self:
This issue is now "half" fixed.

The remaining glitch is a product of the same issue as with
bug #743780.

Once detection is rationalized, reintroduce missing texture
replacement in such a way that all wall seg related
rendering algorithms respond to any changes - without
changing the "offical" textures on the sidedef.

#3 - 2006-06-01 19:36 - yagisan
1.9.0beta4 pic of x=-1040 y=240

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/51ee7c57/ff3f/attachment/doom2-tnt-001.jpg
http://sourceforge.net/p/deng/bugs/_discuss/thread/51ee7c57/ff3f/attachment/doom2-tnt-001.jpg

#4 - 2006-06-01 19:36 - yagisan
Logged In: YES
user_id=1248824

Dani, this looks ok in 1.9.0beta4 (see attached screenshot).
Is this bug fixed ?

#5 - 2006-06-01 20:12 - danij
Logged In: YES
user_id=849456

No not completely. This particular variation on this trick

is fixed but there is another similar trick that is setup
differently in the map geometry that | will be able to fix
using a method based on this. So, | left this open to remind
me :)

#6 - 2006-06-01 21:56 - yagisan

Logged In: YES
user_id=1248824

Ok. | had some spare time to triage bugs, so | though I'd
double check it. I'll reassign it to the current release as
it is still affected (and it means | won't forget | checked it)

#7 - 2007-05-28 06:24 - yagisan

Logged In: YES
user_id=1248824
Originator: NO

bump - whats happening here ?

#8 - 2007-05-29 12:13 - danij

Logged In: YES

user_id=849456

Originator: NO

We are almost ready to begin supporting these tricks.

I've been in discussions with Ajapted (of gIBSP) who has provided me with a document detailing how gIBSP reacts to these tricks and what it will
produce in GL Nodes. I've also constructed a map containing examples of every DOOM.exe renderer trick | have come across to use for development
with some fairly detailed notes to accompany it (covering common variations and screenshots of what the trick looks like in DOOM.exe). | plan to add
the information to the DEW when made legible :-)

The map load algorithms have been enhanced so that some of the advanced tricks will no longer prevent the map from being loaded in Doomsday.

| plan to work on support for these tricks post 1.9.0-beta6

#9 - 2010-05-12 13:07 - eunbolt

just a note to say as of deng 1.9beta-6.9 this bug still exists
#10 - 2012-09-19 11:52 - danij
- labels: Graphics --> Doom, Render hack

- summary: [Doom] TNT map09: Transparent window --> [Render hack] TNT map09: Transparent window

#11 - 2013-10-18 14:44 - skyjake

- Category set to Vanilla emulation

#12 - 2013-10-22 14:37 - skyjake
- Parent task set to #1603

#13 - 2013-10-23 19:36 - skyjake
- Priority changed from High to Urgent

#14 - 2015-03-13 08:51 - skyjake
- Priority changed from Urgent to High

#15 - 2016-08-09 10:25 - skyjake
- Target version deleted (1.9.0-beta6)

#16 - 2017-04-03 15:09 - skyjake

- Target version set to Rendering

#17 - 2017-04-03 18:32 - skyjake

- Target version changed from Rendering to Vanilla / Gameplay

#18 - 2019-12-12 22:09 - skyjake

- Status changed from New to In Progress

- Assignee set to skyjake

- Target version changed from Vanilla / Gameplay to 2.3

- % Done changed from 0 to 50

#19 - 2019-12-13 11:46 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#20 - 2019-12-13 11:47 - skyjake

- Subject changed from [Render hack] TNT map09: Transparent window to TNT map09: Transparent window is not transparent

#21 - 2019-12-13 13:36 - skyjake

- Subject changed from TNT map09: Transparent window is not transparent to [Render hack] TNT map09: Transparent window is not transparent

#22 - 2020-01-17 07:29 - skyjake
- Related to Bug #2399: [Render hack] TNT map21: Transparent doors added

#23 - 2020-12-08 08:27 - skyjake

- Status changed from Resolved to Closed
